package com.ssj.service.kmt.request;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import org.hibernate.validator.constraints.NotBlank;

public class QuestionRollbackRequest extends BaseRequest {

    private static final long serialVersionUID = 1L;

    /**
     * 题目报错字段含义  2(题目审核员报错到题目加工), 3（管理员报错到题目审核）, 4（解析审核员报错到解析加工），5（管理员报错到解析审核）
     * 题目打回字段含义  1（打回到ai），2(打回到题目加工), 3（打回到题目审核）, 4（打回到解析加工），5（打回到解析审核）
     */
    @ApiModelProperty(name = "dealType", value = "类型，1加工员打回，2审核员打回, 3超级管理员打回", required = true)
    private Integer  dealType;

    @ApiModelProperty(name = "questionIds", value = "题目列表", required = true)
    private List<String> questionIds;

    @ApiModelProperty(name = "reason", value = "打回理由", required = false)
    private String reason;

    @NotBlank
    @ApiModelProperty(name = "errorReasonImage", value = "打回理由图片", required = true)
    private String errorReasonImage;

    public Integer getDealType() {
        return dealType;
    }

    public void setDealType(Integer dealType) {
        this.dealType = dealType;
    }

    public List<String> getQuestionIds() {
        return questionIds;
    }

    public void setQuestionIds(List<String> questionIds) {
        this.questionIds = questionIds;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public String getErrorReasonImage() {
        return errorReasonImage;
    }

    public void setErrorReasonImage(String errorReasonImage) {
        this.errorReasonImage = errorReasonImage;
    }
}
